{% load feed_tags %}
{% load i18n %}
{% load navigation_tags %}
{% load staticfiles %}
{% load wagtail_modeltranslation %}

{% get_site_root as site_root %}
<nav class="navbar navbar-expand-md navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" href="{{ site_root.url }}"><img src="{% static 'logo.png' %}" width="160" height="92" alt="logo" class="d-xl-inline-block d-lg-inline-block d-none align-center mr-1" />{% trans "1 Tipi 2 Bicycles" %}</a>
        <button class="navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarToggler"
                aria-controls="navbarToggler"
                aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        {% block main_navigation %}
            <div class="collapse navbar-collapse" id="navbarToggler">
                <ul class="navbar-nav ml-auto">
                    {% top_menu parent=site_root calling_page=self %}
                    <li class="nav-item pl-lg-3">
                        <!-- https://github.com/infoportugal/wagtail-modeltranslation/issues/195 -->
                        {% get_current_language as language_code %}
                        {% if language_code == 'fr' %}
                            <a class="nav-link btn btn-info d-inline-block p-2" href="{% change_lang 'en' %}">
                                <span class="text-white">FR</span> /
                                <span>EN</span>
                            </a>
                        {% else %}
                            <a class="nav-link btn btn-info d-inline-block p-2" href="{% change_lang 'fr' %}">
                                <span>FR</span> /
                                <span class="text-white">EN</span>
                            </a>
                        {% endif %}
                    </li>
                </ul>
            </div>
        {% endblock main_navigation %}
    </div>
</nav>
<nav class="nav bg-darker-light">
    <div class="container">
        <div class="row d-flex">
            <div class="d-none d-md-block">
                {% breadcrumbs %}
            </div>
            <a class="nav-link ml-auto" rel="tooltip" title="{% trans 'Subscribe to email updates' %}" href="{% signup_url %}">
                <i class="fa fa-envelope"></i>
            </a>
            {% if settings.feed.SocialMediaSettings.facebook_url %}
            <a class="nav-link" rel="tooltip" title="{% trans 'Like us on Facebook' %}" href="{{ settings.feed.SocialMediaSettings.facebook_url }}">
                <i class="fa fa-facebook-square"></i>
            </a>
            {% endif %}
            {% if settings.feed.SocialMediaSettings.instagram_url %}
            <a class="nav-link" rel="tooltip" title="{% trans 'Follow us on Instagram' %}" href="{{ settings.feed.SocialMediaSettings.instagram_url }}">
                <i class="fa fa-instagram"></i>
            </a>
            {% endif %}
            {% if settings.feed.SocialMediaSettings.twitter_url %}
            <a class="nav-link" rel="tooltip" title="{% trans 'Follow us on Twitter' %}" href="{{ settings.feed.SocialMediaSettings.twitter_url }}">
                <i class="fa fa-twitter"></i>
            </a>
            {% endif %}
            {% if settings.feed.SocialMediaSettings.gitlab_url %}
            <a class="nav-link " rel="tooltip" title="{% trans 'Star us on Gitlab' %}" href="{{ settings.feed.SocialMediaSettings.gitlab_url }}">
                <i class="fa fa-gitlab"></i>
            </a>
            {% endif %}
        </div>
        <div class="row d-md-none">
            {% breadcrumbs %}
        </div>
    </div>
</nav>